Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus storage create`

Create storage pools

## Synopsis

Description:
Create storage pools

    incus storage create [<remote>:]<pool> <driver> [key=value...] [flags]

## Examples

      incus create storage s1 dir

      incus create storage s1 dir < config.yaml
          Create a storage pool using the content of config.yaml.

## Options

          --description   Storage pool description
          --target        Cluster member name

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage - Manage storage pools and volumes